Subject: Re: b20 full - no less and weird bzip2 behavior.
From: [email-masked] (Geoffrey Noer)

5 Nov 1998 05:57:45 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]

On Sun, Nov 01, 1998 at 05:12:13PM -0500, bahi wrote:
>
> >   Beta 20 also includes upgrades to a number of packages: ash-0.3.2-4,
> > bash 2.02.1, grep-2.2, ncurses 4.2, and less 332.  We have added bzip2
> > 0.9.0 to the distribution.  And you'll now find that the df utility has
> > joined its other friends from the fileutils package.
> 
> where's less?

I was intending to include less but I was having problems with less
reporting that the terminal wasn't fully functional and I didn't have
time to clear this up so less 332 is in the sources but the binary
wasn't included in the release.

That said, I am expecting to include it in the next update release
(probably based on libtermcap).

> bzip2? - excellent. but i am worried.
[...]
> bzip2 -d < sample1.bz2 > sample1.tst
> 
> bzip2: Compressed file ends unexpectedly;
>         perhaps it is corrupted?  *Possible* reason follows.
[...]

The problem has to do with Cygwin and binary vs. text mode issues
in the shell.  While we need to fix them, I worked around the problem
by changing the bzip2 sources included with the release.  Now the
Cygwin Makefile reads:

check test: bzip2
        @cat words1
        ./bzip2 -1k sample1.ref
        mv sample1.ref.bz2 sample1.rb2
        ./bzip2 -2k sample2.ref
        mv sample2.ref.bz2 sample2.rb2
        ./bzip2 -dk sample1.bz2
        mv sample1 sample1.tst
        ./bzip2 -dk sample2.bz2
        mv sample2 sample2.tst
        @cat words2
        cmp sample1.bz2 sample1.rb2 
        cmp sample2.bz2 sample2.rb2
        cmp sample1.tst sample1.ref
        cmp sample2.tst sample2.ref
        @cat words3

Anyway, as far as I know there are not any problem with bzip2's
compression/decompression in b20...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".